<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: vx_pyramid.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
<h1>vx_pyramid.h</h1><a href="vx__pyramid_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment"> * Copyright (c) 2012-2016 The Khronos Group Inc.</span>
<a name="l00003"></a>00003 <span class="comment"> *</span>
<a name="l00004"></a>00004 <span class="comment"> * Permission is hereby granted, free of charge, to any person obtaining a</span>
<a name="l00005"></a>00005 <span class="comment"> * copy of this software and/or associated documentation files (the</span>
<a name="l00006"></a>00006 <span class="comment"> * &quot;Materials&quot;), to deal in the Materials without restriction, including</span>
<a name="l00007"></a>00007 <span class="comment"> * without limitation the rights to use, copy, modify, merge, publish,</span>
<a name="l00008"></a>00008 <span class="comment"> * distribute, sublicense, and/or sell copies of the Materials, and to</span>
<a name="l00009"></a>00009 <span class="comment"> * permit persons to whom the Materials are furnished to do so, subject to</span>
<a name="l00010"></a>00010 <span class="comment"> * the following conditions:</span>
<a name="l00011"></a>00011 <span class="comment"> *</span>
<a name="l00012"></a>00012 <span class="comment"> * The above copyright notice and this permission notice shall be included</span>
<a name="l00013"></a>00013 <span class="comment"> * in all copies or substantial portions of the Materials.</span>
<a name="l00014"></a>00014 <span class="comment"> *</span>
<a name="l00015"></a>00015 <span class="comment"> * MODIFICATIONS TO THIS FILE MAY MEAN IT NO LONGER ACCURATELY REFLECTS</span>
<a name="l00016"></a>00016 <span class="comment"> * KHRONOS STANDARDS. THE UNMODIFIED, NORMATIVE VERSIONS OF KHRONOS</span>
<a name="l00017"></a>00017 <span class="comment"> * SPECIFICATIONS AND HEADER INFORMATION ARE LOCATED AT</span>
<a name="l00018"></a>00018 <span class="comment"> *    https://www.khronos.org/registry/</span>
<a name="l00019"></a>00019 <span class="comment"> *</span>
<a name="l00020"></a>00020 <span class="comment"> * THE MATERIALS ARE PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND,</span>
<a name="l00021"></a>00021 <span class="comment"> * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF</span>
<a name="l00022"></a>00022 <span class="comment"> * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.</span>
<a name="l00023"></a>00023 <span class="comment"> * IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY</span>
<a name="l00024"></a>00024 <span class="comment"> * CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,</span>
<a name="l00025"></a>00025 <span class="comment"> * TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE</span>
<a name="l00026"></a>00026 <span class="comment"> * MATERIALS OR THE USE OR OTHER DEALINGS IN THE MATERIALS.</span>
<a name="l00027"></a>00027 <span class="comment"> */</span>
<a name="l00028"></a>00028 
<a name="l00029"></a>00029 
<a name="l00030"></a>00030 
<a name="l00031"></a>00031 <span class="preprocessor">#ifndef VX_PYRAMID_H_</span>
<a name="l00032"></a>00032 <span class="preprocessor"></span><span class="preprocessor">#define VX_PYRAMID_H_</span>
<a name="l00033"></a>00033 <span class="preprocessor"></span>
<a name="l00034"></a>00034 
<a name="l00035"></a>00035 <span class="preprocessor">#ifdef __cplusplus</span>
<a name="l00036"></a>00036 <span class="preprocessor"></span><span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span> {
<a name="l00037"></a>00037 <span class="preprocessor">#endif</span>
<a name="l00038"></a>00038 <span class="preprocessor"></span>
<a name="l00050"></a><a class="code" href="group__group__vx__pyramid.html#ga631b626be04e080b287b6ba8bb951143">00050</a> <span class="preprocessor">#define TIVX_PYRAMID_MAX_LEVELS_ORB             (17u)</span>
<a name="l00051"></a>00051 <span class="preprocessor"></span>
<a name="l00052"></a>00052 
<a name="l00058"></a><a class="code" href="structtivx__pyramid__t.html">00058</a> <span class="keyword">typedef</span> <span class="keyword">struct </span>_vx_pyramid
<a name="l00059"></a>00059 {
<a name="l00061"></a><a class="code" href="structtivx__pyramid__t.html#aaf6a3ce81c3e6f37a14a89ad41de3e01">00061</a>     <a class="code" href="structtivx__reference__t.html" title="The most basic type in the OpenVX system. Any type that inherits from tivx_reference_t...">tivx_reference_t</a> base;
<a name="l00062"></a>00062 
<a name="l00064"></a><a class="code" href="structtivx__pyramid__t.html#a0e233285980738b70329c48023633234">00064</a>     <a class="code" href="vx__types_8h.html#afaa07841fe324f1c1d5b0f27c27de7b5" title="An opaque reference to an image.">vx_image</a> img[<a class="code" href="group__group__tivx__obj__desc__cfg.html#ga9394c906b6f2581dcbfe1b830d31eee5" title="Maximum number of objects supported in pyramid.">TIVX_PYRAMID_MAX_LEVEL_OBJECTS</a>];
<a name="l00065"></a>00065 } <a class="code" href="structtivx__pyramid__t.html" title="Pyramid object internal state.">tivx_pyramid_t</a>;
<a name="l00066"></a>00066 
<a name="l00067"></a>00067 
<a name="l00080"></a>00080 <a class="code" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0" title="A formal status type with known fixed size.">vx_status</a> <a class="code" href="vx__pyramid_8h.html#acac4b75ce500039cf5a3d7d4ea4b1429" title="function to initialize virtual pyramid&amp;#39;s parameters">ownInitVirtualPyramid</a>(
<a name="l00081"></a>00081     <a class="code" href="vx__types_8h.html#ad9e43dc4026a9593d63e3e9881b9c4d9" title="The Image Pyramid object. A set of scaled images.">vx_pyramid</a> prmd, <a class="code" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c" title="A 32-bit unsigned value.">vx_uint32</a> width, <a class="code" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c" title="A 32-bit unsigned value.">vx_uint32</a> height, <a class="code" href="vx__types_8h.html#a371968e3355d6f9e413d836ccc14d5b8" title="Used to hold a VX_DF_IMAGE code to describe the pixel format and color space.">vx_df_image</a> format);
<a name="l00082"></a>00082 
<a name="l00083"></a>00083 <span class="preprocessor">#ifdef __cplusplus</span>
<a name="l00084"></a>00084 <span class="preprocessor"></span>}
<a name="l00085"></a>00085 <span class="preprocessor">#endif</span>
<a name="l00086"></a>00086 <span class="preprocessor"></span>
<a name="l00087"></a>00087 <span class="preprocessor">#endif</span>
</pre></div></div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
